%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate bcder

Name:           rust-bcder
Version:        0.7.4
Release:        2%{?dist}
Summary:        Handling of data encoded in BER, CER, and DER

License:        BSD-3-Clause
URL:            https://crates.io/crates/bcder
Source0:        %{crates_source}
Patch:          bcder-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Handling of data encoded in BER, CER, and DER.}

%description    %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package        -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description    -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files          -n %{name}+default-devel
%ghost 		%{crate_instdir}/Cargo.toml

%prep
%autosetup      -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jun 08 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.4-1
- initial build
